"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const appDirectory = fs.realpathSync(process.cwd());
const resolveApp = (relativePath) => path.resolve(appDirectory, relativePath);
exports.default = {
    appBuild: resolveApp("build"),
    appHtml: resolveApp("public/index.html"),
    appIndexJs: resolveApp("src/index.js"),
    appNodeModules: resolveApp("node_modules"),
    appPackageJson: resolveApp("package.json"),
    appPath: resolveApp("."),
    appPublic: resolveApp("public"),
    appSrc: resolveApp("src"),
    dotenv: resolveApp(".env"),
    proxySetup: resolveApp("src/setupProxy.js"),
    testsSetup: resolveApp("src/setupTests.js"),
    yarnLockFile: resolveApp("yarn.lock"),
    lessModifyVars: resolveApp("src/theme.js"),
    appAlias: resolveApp("src/alias.js")
};
