"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const errorOverlayMiddleware = require("react-dev-utils/errorOverlayMiddleware");
const evalSourceMapMiddleware = require("react-dev-utils/evalSourceMapMiddleware");
const noopServiceWorkerMiddleware = require("react-dev-utils/noopServiceWorkerMiddleware");
const ignoredFiles = require("react-dev-utils/ignoredFiles");
const fs_1 = __importDefault(require("fs"));
const paths_1 = __importDefault(require("./paths"));
const webpack_1 = __importDefault(require("./webpack"));
const protocol = process.env.HTTPS === "true" ? "https" : "http";
const host = process.env.HOST || "0.0.0.0";
function default_1(proxy, allowedHost) {
    return {
        disableHostCheck: !proxy || process.env.DANGEROUSLY_DISABLE_HOST_CHECK === "true",
        compress: true,
        clientLogLevel: "none",
        contentBase: paths_1.default.appPublic,
        watchContentBase: true,
        hot: true,
        publicPath: webpack_1.default.output.publicPath,
        quiet: true,
        watchOptions: {
            ignored: ignoredFiles(paths_1.default.appSrc)
        },
        https: protocol === "https",
        host,
        overlay: false,
        historyApiFallback: {
            disableDotRule: true
        },
        public: allowedHost,
        proxy,
        before(app, server) {
            if (fs_1.default.existsSync(paths_1.default.proxySetup)) {
                require(paths_1.default.proxySetup)(app);
            }
            app.use(evalSourceMapMiddleware(server));
            app.use(errorOverlayMiddleware());
            app.use(noopServiceWorkerMiddleware());
        }
    };
}
exports.default = default_1;
